Validate export storage
Validate a specific S3 export storage connection.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Request
This endpoint expects an object.
project
A unique integer value identifying this project.
aws_access_key_id
AWS_ACCESS_KEY_ID
aws_secret_access_key
AWS_SECRET_ACCESS_KEY
aws_session_token
AWS_SESSION_TOKEN
aws_sse_kms_key_id
AWS SSE KMS Key ID
bucket
S3 bucket name
can_delete_objects
Deletion from storage enabled
description
Cloud storage description
id
Storage ID. If set, storage with specified ID will be updated
prefix
S3 bucket prefix
regex_filter
Cloud storage regex for filtering objects
region_name
AWS Region
s3_endpoint
S3 Endpoint
synchronizable
title
Cloud storage title
use_blob_urls
Interpret objects as BLOBs and generate URLs
Response
Validation successful